# main_window.py
from PyQt5.QtWidgets import QWidget, QLabel, QPushButton, QVBoxLayout, QMessageBox

class MainWindow(QWidget):
    def __init__(self, login_window):
        super().__init__()
        self.setWindowTitle("메인 화면")
        self.setGeometry(100, 100, 400, 300)
        self.login_window = login_window  # Store the LoginWindow instance

        self.initUI()

    def initUI(self):
        self.welcome_label = QLabel("메인 화면에 오신 것을 환영합니다!")
        self.logout_button = QPushButton("로그아웃")
        self.logout_button.clicked.connect(self.logout_clicked)

        layout = QVBoxLayout()
        layout.addWidget(self.welcome_label)
        layout.addWidget(self.logout_button)
        layout.addStretch(1)

        self.setLayout(layout)

    def logout_clicked(self):
        reply = QMessageBox.question(self, '로그아웃', '로그아웃 하시겠습니까?',
                                     QMessageBox.Yes | QMessageBox.No, QMessageBox.No)

        if reply == QMessageBox.Yes:
            self.login_window.show()  # Show the LoginWindow again
            self.close()

if __name__ == '__main__':
    # This part will not be executed when main_window.py is imported
    pass